E-MailRelay

Static Public Member Functions | List of all members
GStore::FileStore::FileOp Struct Reference

Low-level file-system operations for GStore::FileStore. More...

`#include <gfilestore.h>`

## Static Public Member Functions
static int & | errno_ () noexcept
static bool | rename (const G::Path &, const G::Path &)
static bool | renameOnto (const G::Path &, const G::Path &)
static bool | remove (const G::Path &) noexcept
static bool | exists (const G::Path &)
static int | fdopen (const G::Path &)
static bool | hardlink (const G::Path &, const G::Path &)
static bool | copy (const G::Path &, const G::Path &)
static bool | copy (const G::Path &, const G::Path &, bool hardlink)
static bool | mkdir (const G::Path &)
static bool | isdir (const G::Path &, const G::Path &={}, const G::Path &={})
static std::ifstream & | openIn (std::ifstream &, const G::Path &)
static std::ofstream & | openOut (std::ofstream &, const G::Path &)
static std::ofstream & | openAppend (std::ofstream &, const G::Path &)

## Detailed Description

Low-level file-system operations for GStore::FileStore.

Definition at line 75 of file gfilestore.h.

## Member Function Documentation

## ◆ copy() [1/2]

bool GStore::FileStore::FileOp::copy | ( | const G::Path & | src,
|  | const G::Path & | dst
| ) |  |
| static

Definition at line 490 of file gfilestore.cpp.

## ◆ copy() [2/2]

bool GStore::FileStore::FileOp::copy | ( | const G::Path & | src,
|  | const G::Path & | dst,
|  | bool | hardlink
| ) |  |
| static

Definition at line 482 of file gfilestore.cpp.

## ◆ errno_()

int & GStore::FileStore::FileOp::errno_ | ( |  | ) |
| static noexcept

Definition at line 376 of file gfilestore.cpp.

## ◆ exists()

bool GStore::FileStore::FileOp::exists | ( | const G::Path & | path | ) |
| static

Definition at line 416 of file gfilestore.cpp.

## ◆ fdopen()

int GStore::FileStore::FileOp::fdopen | ( | const G::Path & | path | ) |
| static

Definition at line 425 of file gfilestore.cpp.

## ◆ hardlink()

bool GStore::FileStore::FileOp::hardlink | ( | const G::Path & | src,
|  | const G::Path & | dst
| ) |  |
| static

Definition at line 461 of file gfilestore.cpp.

## ◆ isdir()

bool GStore::FileStore::FileOp::isdir | ( | const G::Path & | a,
|  | const G::Path & | b = `{}`,
|  | const G::Path & | c = `{}`
| ) |  |
| static

Definition at line 508 of file gfilestore.cpp.

## ◆ mkdir()

bool GStore::FileStore::FileOp::mkdir | ( | const G::Path & | dir | ) |
| static

Definition at line 499 of file gfilestore.cpp.

## ◆ openAppend()

std::ofstream & GStore::FileStore::FileOp::openAppend | ( | std::ofstream & | stream,
|  | const G::Path & | path
| ) |  |
| static

Definition at line 452 of file gfilestore.cpp.

## ◆ openIn()

std::ifstream & GStore::FileStore::FileOp::openIn | ( | std::ifstream & | stream,
|  | const G::Path & | path
| ) |  |
| static

Definition at line 434 of file gfilestore.cpp.

## ◆ openOut()

std::ofstream & GStore::FileStore::FileOp::openOut | ( | std::ofstream & | stream,
|  | const G::Path & | path
| ) |  |
| static

Definition at line 443 of file gfilestore.cpp.

## ◆ remove()

bool GStore::FileStore::FileOp::remove | ( | const G::Path & | path | ) |
| static noexcept

Definition at line 400 of file gfilestore.cpp.

## ◆ rename()

bool GStore::FileStore::FileOp::rename | ( | const G::Path & | src,
|  | const G::Path & | dst
| ) |  |
| static

Definition at line 382 of file gfilestore.cpp.

## ◆ renameOnto()

bool GStore::FileStore::FileOp::renameOnto | ( | const G::Path & | src,
|  | const G::Path & | dst
| ) |  |
| static

Definition at line 391 of file gfilestore.cpp.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gstore/gfilestore.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gstore/gfilestore.cpp